import * as i0 from '@angular/core';
import { Injectable, Component, NgModule } from '@angular/core';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';

class Dropdown {
    constructor(value) {
        this.value = value;
    }
}

class DropdownService {
    constructor() {
        this.dropdown = [
            new Dropdown('value1'),
            new Dropdown('value2')
        ];
    }
    selectItem() {
        console.log('anu');
        console.log(this.dropdown);
        return this.dropdown;
    }
}
DropdownService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.2", ngImport: i0, type: DropdownService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
DropdownService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.1.2", ngImport: i0, type: DropdownService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.2", ngImport: i0, type: DropdownService, decorators: [{
            type: Injectable
        }] });

class DropdownComponent {
    constructor(service) {
        this.service = service;
        this.drop = [];
        this.label = '';
        this.dropdown = [
            new Dropdown('value1'),
            new Dropdown('value2')
        ];
    }
    ngOnInit() {
    }
    getItem(item) {
        this.label = item.value;
        console.log(this.label);
    }
}
DropdownComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.2", ngImport: i0, type: DropdownComponent, deps: [{ token: DropdownService }], target: i0.ɵɵFactoryTarget.Component });
DropdownComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.2", type: DropdownComponent, selector: "lib-dropdown", providers: [DropdownService], ngImport: i0, template: "\n<label for=\"cars\"></label>\n  <select name=\"cars\" id=\"cars\">\n    \n      <option *ngFor=\"let item of dropdown\">{{item.value}}</option>\n    \n  </select>\n\n\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.2", ngImport: i0, type: DropdownComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-dropdown', providers: [DropdownService], template: "\n<label for=\"cars\"></label>\n  <select name=\"cars\" id=\"cars\">\n    \n      <option *ngFor=\"let item of dropdown\">{{item.value}}</option>\n    \n  </select>\n\n\n" }]
        }], ctorParameters: function () { return [{ type: DropdownService }]; } });

class DropdownModule {
}
DropdownModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.2", ngImport: i0, type: DropdownModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
DropdownModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.1.2", ngImport: i0, type: DropdownModule, declarations: [DropdownComponent], imports: [CommonModule] });
DropdownModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.1.2", ngImport: i0, type: DropdownModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.2", ngImport: i0, type: DropdownModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        DropdownComponent,
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [],
                }]
        }] });

/*
 * Public API Surface of test-lib
 */

/**
 * Generated bundle index. Do not edit.
 */

export { DropdownComponent, DropdownModule };
//# sourceMappingURL=test-anu-lib.mjs.map
